Forgot password?

Create an account!

Forum

« back

RhinoScript – get the id and name of an object

Messages

Please log in to write a message.

  • 2. dazza000 (Oct 20, 2015 08.53):

    oops , solved it

            Dim strObject
            strObject = Rhino.AddMesh(arrVertices, arrFaceVertices)
            rhino.Print strObject

    My problem was not understanding the syntax needed
    Sorry to Bother everybody

  • 1. dazza000 (Oct 20, 2015 08.44):

    Hi, Beginner here. Rhino 5.
    I am wondering how to get the id and name of a newly created mesh. I've used
    the Rhino.AddMesh() function and it works fine and the Rhino.GetObject() function works too. but I don't want it. I've commented it out. I want to get the id and/or name of this newly created mesh without user selection so that my code flows without interruption.


            Dim strObject
            Rhino.AddMesh arrVertices, arrFaceVertices
            'strObject = Rhino.GetObject("Select a mesh")
            If Rhino.IsMesh(strObject) Then  'getting an error here: string required
                    Rhino.Print "The object is a mesh."
            Else
                    Rhino.Print "The object is not a mesh."
            End If

    any help would be appreciated.

Recommend

Why are these buttons gray?